Subject: Re: [PATCH] Documentation: update git-pull.txt for clone's new default behavior

From: "J. Bruce Fields" <[email-masked]>
Date: Sun, 31 Dec 2006 22:48:25 -0500

On Sun, Dec 31, 2006 at 07:29:22PM -0800, Luben Tuikov wrote:
> I.e. I'd like to say "git-pull parent" or "git-pull parents"
> in such and such branch, and this would pull the designated
> parent(s) for the current branch.  But if I'm in a different
> branch (of the same repo) then the meaning of "parent" changes
> accordingly.

Could you explain a situation where this would be useful?  A
"parent<-->child" relationship, where there's one upstream branch that
is always merged in, is easily handled; just replace your "git pull
parent" by a "git pull", right?  Am I misunderstanding the proposal?

And is there any reason why your proposal conflicts with Junio's?

--b.